// Transition
@mixin transition($args...) {
  -webkit-transition: $args;
  -moz-transition: $args;
  -ms-transition: $args;
  -o-transition: $args;
  transition: $args;
}

// Box Shadow
@mixin box-shadow($top, $left, $blur, $color, $inset:"") {
  -webkit-box-shadow:$top $left $blur $color #{$inset};
  -moz-box-shadow:$top $left $blur $color #{$inset};
  box-shadow:$top $left $blur $color #{$inset};
}


//Placeholder Color, capitalize
@mixin placeholder-color($color, $text-transform) {
    &::-webkit-input-placeholder {
        color: $color;
        text-transform: $text-transform;
    }
    &:-moz-placeholder {
        color: $color;
        text-transform: $text-transform;
    }
    &::-moz-placeholder {
        color: $color;
        text-transform: $text-transform;
    }
    &:-ms-input-placeholder {
        color: $color;
        text-transform: $text-transform;
    }
}
